6 Replies Latest reply on Mar 16, 2010 9:30 PM by Kishan M V

    Configure J2EE Server in FB4 beta

    olegkon Level 1

      Hi,

       

      I think, there are very serious problems with J2EE deployment in FB4 beta2.

      1) Can not change or add or delete anything in "Target Runtime".

      New button and "Show all runtimes" checkbox don't do anything.   "New" button gets disabled and no way to re-enable it.

      Can't unistall Facets either.

       

      Imported my Flex project from FB3.  It produced error: "Target Runtime JBoss 5.0 not defined".

      So I am going to project Properties/Target Runtime to remove old one and add a "new" JBoss 5.0.

      Nothing works (see #1).

       

      2) OK, trying to create a new Flex project, going through Create Flex project wizard.

      On page "Configure J2EE Server" it is expecting Server location with existing WEB-INF/flex folder containing flex-config.xml or services-config.xml

      But from where, some other existing project ?

       

      Plus, JBoss5 forces you to work with non-exploded archives (WAR, JAR, etc)

      How do you resolve that one ?

       

       

      Am I missing something ?   Or is FB4 beta2 is completely unusable with JBoss 5.1 ?

      Is there beta3 or nightly build where it is fixed ?

       

      Please help !

       

      TIA,

      Oleg.

        • 1. Re: Configure J2EE Server in FB4 beta
          Kishan M V Adobe Employee

          Hi Oleg,

           

          Are you using LCDS or BlazeDS on JBoss 5.1

           

          When you install LCDS/BlazeDS on JBoss5.1 flex-config.xml, service-config.xml files will be located in \server\default\lcds location.

           

          Thanks,

          Kishan

          • 2. Re: Configure J2EE Server in FB4 beta
            olegkon Level 1

            Still no solution to that problem ?

             

            Say, I am developing an AIR2 app which has some Java part to it (remoting, Web Service, whatever),

            with or without BlazeDS (or LCDS). Anything requiring Web Server (J2EE / servlet container).

             

            How do I add new Server to FB4 beta2 ?  Lets say Tomcat 6 or JBoss 5.1.

             

            If I go to Preferences->Server->Runtime Environments, there is only one selection - J2EE  Runtime Library (what is that?)

             

            OK, I click Add, then link Download additional server adapters, and in a few seconds prompts for login/pwd for SAP Community Network.

            I don't know any... so after I click Cancel, I can only choose Geronimo, GlassFish, Jetty, Weblogic, WASCE.

            No Tomcat, No JBoss ?   Nothing like a long selection list in FB3 ?

             

            Search for server runtime environments stops right away.   FB3 can find a dosen ones on my hard disk.

             

            Is it a major hole in FB4 beta2 ?

            Makes it pretty useless to me...  :-(

             

            Please advise !

             

            Thanks,

            Oleg.

             

            Message was edited by: olegkon

             

            Message was edited by: olegkon

            • 3. Re: Configure J2EE Server in FB4 beta
              Kishan M V Adobe Employee

              Hi Oleg,

               

              You can follow the blog http://sujitreddyg.wordpress.com/2009/06/01/building-flex-application-for-blazeds-remoting -service-using-flash-builder-4/

              For connecting to J2EE server using FB4

               

              Thanks,

              Kishan

              1 person found this helpful
              • 4. Re: Configure J2EE Server in FB4 beta
                olegkon Level 1

                Kishan,

                 

                I do not think that is sufficient when you deploy Flex+JavaEE app (on backend like WS WAR file) to the Application server from within FB.

                It seems to me that in FB4  JavaEE part is missing, meaning that embedded Eclipse in NOT a JavaEE version, just a Java version.

                 

                BTW, why didn't they used Eclipse JavaEE Galileo ?

                 

                That is not a place to cut corners.

                FB4 should at least support FB3 functionality.

                 

                What do you think ?

                 

                Thanks,

                Oleg.

                • 5. Re: Configure J2EE Server in FB4 beta
                  olegkon Level 1

                  How can you switch FB4 from one version of Eclipse to another one ?

                   

                  I tried to install Eclipse Galileo (3.5.2) Java EE and reinstall FB4 beta2,

                  pointing to it [it happened that my Win7 expired, had to reinstall it],

                  but after that I can see FB4 still pointing to embedded Eclipse 3.4.2 Java SE.

                   

                  How can I make it point to 3.5.2 EE ?

                   

                  Please advise,

                  Oleg.

                  • 6. Re: Configure J2EE Server in FB4 beta
                    Kishan M V Adobe Employee

                    From the Eclipse Galileo (3.5.2) Java EE can you switch to Flash builder workspace?